#!/bin/bash

# Zenwalk Gnu/Linux build script written for "e17_artwork"
# Soft Home Page: http://www.enlightenment.org
# Source URL: Enlightenment CVS
# Software's Dependencies: "e17_base,e17_libs"
# Package Maintainer: Michael Verret (AxXium) axxium.zenlnx@gmail.com
# Date of script Revision: Friday 22 June 2007


#------------------( Unique Package Variables )


SOFT='e17_artwork'
SOFTVERSION='0.16.999.039'		# Obtain the version from the e17_base package
BUILDVERSION='48.4'
ARCH='i686'
DOCS="ChangeLog README"
#      |-----handy-ruler------------------------------------------------------|
DESC_LINE_01="Zenwalk artwork for Enlightenment DR 17"
DESC_LINE_02=""
DESC_LINE_03="This package contains official Zenwalk background images"
DESC_LINE_04="converted to EDJ format for use with Zenwalk's builds of"
DESC_LINE_05="Enlightenment DR 17"
DESC_LINE_06=""
DESC_LINE_07=""
DESC_LINE_08=""
DESC_LINE_09=""
DESC_LINE_10=""
DESC_LINE_11=""


#------------------( Standard Variables & Routines )


REACTOR="$SOFT-$SOFTVERSION"
BUILDIR=$(pwd)
cd $BUILDIR
PACKAGE="$REACTOR-$ARCH-$BUILDVERSION"
DEST="$BUILDIR/$PACKAGE"

rm -rf {$DEST,$DEST.dep,$DEST.md5,$DEST.tgz,$PACKAGE,$PACKAGE.dep,$PACKAGE.md5} 1>/dev/null 2>&1
mkdir -p {$DEST,$DEST/usr/doc/$REACTOR,$DEST/install,$DEST/usr/src/$REACTOR}


#------------------( Add converted Zenwalk backgrounds)


( cd $BUILDIR
  mkdir -p $DEST/usr/share/enlightenment/data/backgrounds
  tar -xvjf $BUILDIR/zenwalk-backgrounds.tar.bz2
  cd $BUILDIR/zenwalk-backgrounds
  mv *.edj $DEST/usr/share/enlightenment/data/backgrounds
rm -rf $BUILDIR/zenwalk-backgrounds
)


#------------------( Packaging )


( cd $DEST
   find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
   find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)

rm -rf $DEST/usr/share/doc
cp -a  $DOCS $DEST/usr/doc/$REACTOR

cat <<EOF > $DEST/install/slack-desc 
      |-----handy-ruler------------------------------------------------------|
$SOFT: $DESC_LINE_01
$SOFT: $DESC_LINE_02
$SOFT: $DESC_LINE_03
$SOFT: $DESC_LINE_04
$SOFT: $DESC_LINE_05
$SOFT: $DESC_LINE_06
$SOFT: $DESC_LINE_07
$SOFT: $DESC_LINE_08
$SOFT: $DESC_LINE_09
$SOFT: $DESC_LINE_10
$SOFT: $DESC_LINE_11
EOF

cat <<EOF > $BUILDIR/$PACKAGE.dep
e17_base,e17_libs
EOF

cp $BUILDIR/build-$SOFT.sh $DEST/usr/src/$REACTOR/build-$SOFT.sh

( cd $DEST
makepkg -l y -c n ../$PACKAGE.tgz
cd $BUILDIR
rm -rf {$DEST,$REACTOR}
)

cd $BUILDIR
md5sum $PACKAGE.tgz > $PACKAGE.md5